import { select, arc } from 'd3';


const svg = select('svg')
			.style('padding','10px')
			.style('background', '#223344')
			.style('cursor', 'pointer')
			.style('-webkit-user-select', 'none')
			.on('click', function() {
    		d3.event.preventDefault();
    		step();
  		});

let WIDTH= +svg.attr('width');
let HEIGHT= +svg.attr('height');

let lineg=svg.append('g');

let	dotg = svg.append('g');

let centerg = svg.append('g');

d3.select("#step")
  .on('click', function() { step(); draw(); });
d3.select("#restart")
  .on('click', function() { restart(); draw(); });
d3.select("#reset")
  .on('click', function() { init(); draw(); });


var groups = [], dots = [];






function step(){
	d3.select("#restart").attr("disabled", null);
  
 var N=parseInt(d3.select('#N').property("value"),10)
 var K=parseInt(d3.select('#N').property("value"),10)
 

  groups = [];
  
   for (var i = 0; i < K; i++) {
    var g = {
      dots: [],
      color: 'hsl(' + (i * 360 / K) + ',100%,50%)',
      center: {
        x: Math.random() * WIDTH,
        y: Math.random() * HEIGHT
      },
      init: {
        center: {}
      }
    };
    g.init.center = {
      x: g.center.x,
      y: g.center.y
    };
    groups.push(g);
  }
console.log(groups);
}

function restart() {
  flag = false;
  d3.select("#restart").attr("disabled", "disabled");

  groups.forEach(function(g) {
    g.dots = [];
    g.center.x = g.init.center.x;
    g.center.y = g.init.center.y;
  });

  for (var i = 0; i < dots.length; i++) {
    var dot = dots[i];
    dots[i] = {
      x: dot.init.x,
      y: dot.init.y,
      group: undefined,
      init: dot.init
    };
  }
}


const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g');


const circle = g.append('circle');
const eyesG = g.append('g');

const eyebrowsG = eyesG.append('g');

const smileG = g.append('g');


const leftEye = eyesG.append('circle');
const rightEye = eyesG.append('circle');
const eyesR = 40;
const eyesX = 100;
const eyesY = 100;

const eyebrowWidth = 100;
const eyebrowHeight = eyesR / 2;



const smile = smileG.append('path').attr('fill', 'black');

const eyebrowL = 
      eyebrowsG
				.append('rect')
				.attr('width', eyebrowWidth)
				.attr('height', eyebrowHeight)
				.attr('fill', 'black');

							

g
  .attr('transform', `translate(${width/2}, ${height/2})`)
	.attr('fill','yellow')
	.attr('stroke','maroon');


circle
  .attr('r', height/2);


leftEye
	.attr('r', eyesR)
	.attr('cx', -eyesX)
	.attr('cy', -eyesY)
	.attr('fill', 'black');

rightEye
	.attr('r', eyesR)
	.attr('cx', eyesX)
	.attr('cy', -eyesY)
	.attr('fill', 'black');


const smileArc = arc()({
  innerRadius: 150,
  outerRadius: 170,
  startAngle: Math.PI/2,
  endAngle: Math.PI * 3/2
});

smile.attr('d', smileArc)


console.log(svg)
console.log("hello")









